Package fr.gouv.vitam.functional.administration.common.server

# Class AccessionRegisterSymbolic

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<AccessionRegisterSymbolic>
fr.gouv.vitam.functional.administration.common.server.AccessionRegisterSymbolic

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class AccessionRegisterSymbolic extends VitamDocument<AccessionRegisterSymbolic> implements Serializable
Accession Register Summary document

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVE_UNIT`
  the number of ArchiveUnit attached to the originating agency
  `static final String`
  `BINARY_OBJECT`
  the number of binaryObject attached to the originating agency
  `static final String`
  `BINARY_OBJECTS_SIZE`
  the total BinaryObjectSize attached to the originating agency
  `static final String`
  `CREATION_DATE`
  the creationDate field of accession register
  `static final String`
  `OBJECT_GROUP`
  the number of objectGroup attached to the originating agency
  `static final String`
  `ORIGINATING_AGENCY`
  the OriginatingAgency field of accession register
  `static final String`
  `TENANT`
  the tenant field of accession register

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessionRegisterSymbolic()`
  Empty Constructor
  `AccessionRegisterSymbolic(com.fasterxml.jackson.databind.JsonNode content)`
  `AccessionRegisterSymbolic(String content)`
  `AccessionRegisterSymbolic(org.bson.Document document)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOriginatingAgency()`
  `VitamDocument<AccessionRegisterSymbolic>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `AccessionRegisterSymbolic`
  `setArchiveUnit(long archiveUnit)`
  `AccessionRegisterSymbolic`
  `setBinaryObject(long binaryObject)`
  `AccessionRegisterSymbolic`
  `setBinaryObjectSize(double binaryObjectSize)`
  `AccessionRegisterSymbolic`
  `setCreationDate(String creationDate)`
  `AccessionRegisterSymbolic`
  `setId(String id)`
  `AccessionRegisterSymbolic`
  `setObjectGroup(long objectGroup)`
  `AccessionRegisterSymbolic`
  `setOriginatingAgency(String orgAgency)`
  `AccessionRegisterSymbolic`
  `setTenant(int tenant)`

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### TENANT

    public static final String TENANT
    the tenant field of accession register
    See Also:
      - Constant Field Values

  - ### ORIGINATING_AGENCY

    public static final String ORIGINATING_AGENCY
    the OriginatingAgency field of accession register
    See Also:
      - Constant Field Values

  - ### BINARY_OBJECTS_SIZE

    public static final String BINARY_OBJECTS_SIZE
    the total BinaryObjectSize attached to the originating agency
    See Also:
      - Constant Field Values

  - ### ARCHIVE_UNIT

    public static final String ARCHIVE_UNIT
    the number of ArchiveUnit attached to the originating agency
    See Also:
      - Constant Field Values

  - ### OBJECT_GROUP

    public static final String OBJECT_GROUP
    the number of objectGroup attached to the originating agency
    See Also:
      - Constant Field Values

  - ### BINARY_OBJECT

    public static final String BINARY_OBJECT
    the number of binaryObject attached to the originating agency
    See Also:
      - Constant Field Values

  - ### CREATION_DATE

    public static final String CREATION_DATE
    the creationDate field of accession register
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccessionRegisterSymbolic

    public AccessionRegisterSymbolic()
    Empty Constructor

  - ### AccessionRegisterSymbolic

    public AccessionRegisterSymbolic(org.bson.Document document)
    Constructor
    Parameters:
      `document` - in format Document to create AccessionRegisterSummary

  - ### AccessionRegisterSymbolic

    public AccessionRegisterSymbolic(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create AccessionRegisterSummary

  - ### AccessionRegisterSymbolic

    public AccessionRegisterSymbolic(String content)
    Parameters:
      `content` - in format String to create AccessionRegisterSummary

- ## Method Details

  - ### newInstance

    public VitamDocument<AccessionRegisterSymbolic> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<AccessionRegisterSymbolic>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### setId

    public AccessionRegisterSymbolic setId(String id)
    Parameters:
      `id` - as String to set
    Returns:
      AccessionRegisterDetail

  - ### setOriginatingAgency

    public AccessionRegisterSymbolic setOriginatingAgency(String orgAgency)
    Parameters:
      `orgAgency` - as Sting to set
    Returns:
      AccessionRegisterSummary

  - ### setBinaryObjectSize

    public AccessionRegisterSymbolic setBinaryObjectSize(double binaryObjectSize)
    Parameters:
      `binaryObjectSize` - to set
    Returns:
      AccessionRegisterSummary

  - ### setArchiveUnit

    public AccessionRegisterSymbolic setArchiveUnit(long archiveUnit)
    Parameters:
      `archiveUnit` - to set
    Returns:
      AccessionRegisterSummary

  - ### setCreationDate

    public AccessionRegisterSymbolic setCreationDate(String creationDate)
    Parameters:
      `creationDate` - to set
    Returns:
      AccessionRegisterSummary

  - ### setObjectGroup

    public AccessionRegisterSymbolic setObjectGroup(long objectGroup)
    Parameters:
      `objectGroup` - to set
    Returns:
      AccessionRegisterSummary

  - ### setBinaryObject

    public AccessionRegisterSymbolic setBinaryObject(long binaryObject)
    Parameters:
      `binaryObject` - to set
    Returns:
      AccessionRegisterSummary

  - ### setTenant

    public AccessionRegisterSymbolic setTenant(int tenant)
    Parameters:
      `tenant` - to set
    Returns:
      AccessionRegisterSummary

  - ### getOriginatingAgency

    public String getOriginatingAgency()
    Returns:
      String